using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.SRM
{
    /// <summary>
    ///  SRM537
    /// </summary>
    [DataContract]
    [SugarTable("SX_SRM537")]
    public class WCS_SRM537 : ISRM537
    {
        [TimeDbSplitField(DateType.Day)]
        public DateTime Frame { get; set; }

        [SugarColumn(ColumnDataType = "symbol")]
        public string Code { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 0)]
        public SrmAlarm Alarm { get; set; }
    }
}